Bug 1165930 - "Copy from previous version" shows if an obsolete version exists
"Copy from previous version" shows if an obsolete version exists
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
3.5
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.7
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-19 23:12 EST by Damian Jansen
Modified: 2015-07-21 22:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3632)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 22:19:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of error (15.09 KB, image/png)
2014-11-19 23:12 EST, Damian Jansen
no flags Details

  None (edit)
Description Damian Jansen 2014-11-19 23:12:49 EST
Created attachment 959232 [details]
Screenshot of error

Description of problem:
If an admin has made the only version in a project obsolete, the maintainer creating a new version will still see the Copy from previous version checkbox.
This is checked and no versions are shown, but still somehow succeeds in a funny way (i.e. project type 'Unspecified', no copytrans, etc)

Version-Release number of selected component (if applicable):
3.6-snapshot

How reproducible:
Easy always

Steps to Reproduce:
1. Normal user sign in, create a project and a version
2. Log out, sign in as admin
3. Go to the same project-version, go to settings, click Archive
4. Log out, sign in as normal user, go to project
5. Click the New Version button

Actual results:
Checked 'Copy from previous' checkbox shown

Expected results:
No checkbox, only type list

Additional info:
Comment 1 Alex Eng 2015-05-25 21:21:11 EDT
PR:
https://github.com/zanata/zanata-server/pull/828
Comment 2 Damian Jansen 2015-05-26 00:02:44 EDT
Verified at a42dac51061be17149694c22c7cc04bfcee93243

Note You need to log in before you can comment on or make changes to this bug.